 var t=document.getElementById("tablelist").getElementsByTagName("tr");
 var  colormove="#EBF0F7";
 var coloruncheck="#ffffff"
var colorcheck="#D5E0EE"
<!-- 点击变颜色，并选中CHECKBOX --> 
for(var i=2;i<t.length-2;i++)
 {
  t[i].onclick=function(){
   if(this.x!="1"){
    this.x="1";
    this.style.backgroundColor=colorcheck;
    document.frmadd.cbxlist[this.sectionRowIndex-1].checked=true
   }else{
    this.x="0";
    this.style.backgroundColor=coloruncheck;
    document.frmadd.cbxlist[this.sectionRowIndex-1].checked=false
  }
  }
t[i].onmouseover=function(){
   if(this.x!="1")this.style.backgroundColor=colormove;
  }
  t[i].onmouseout=function(){
   if(this.x!="1")this.style.backgroundColor=coloruncheck;
  }


 }
<!-- 全选 -->
function selectall(v){
  var m=0
  var f = document.forms["frmadd"];
  for (i=0;i<f.elements.length;i++)
    {if (f.elements[i].name=="cbxlist") 
    { m=m+1;
    f.elements[i].checked = v;}}  
    for (n=2;n<m+1;n++)
    {if (v!=true)
    {t[n].style.backgroundColor=coloruncheck;
    t[n].x="0";}
    else
    { t[n].style.backgroundColor=colorcheck;
      t[n].x="1";}
    }
}
